from typing import Union, AnyStr

class GencfgTag:
    def __init__(self, tag: Union[GencfgTag, AnyStr]): ...

    def __nonzero__(self) -> bool: ...
    def __bool__(self) -> bool: ...
    def __hash__(self) -> int: ...
    def __eq__(self, other: object) -> bool: ...
    def __ge__(self, other: object) -> bool: ...

    # noinspection PyPropertyDefinition
    @property
    def tag(self) -> AnyStr: ...
    # noinspection PyPropertyDefinition
    @property
    def release(self) -> AnyStr: ...
    # noinspection PyPropertyDefinition
    @property
    def revision(self) -> AnyStr: ...
